> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing record

> Updates specific attributes of an existing record



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/records/{record_id}
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/records/{record_id}:
    patch:
      tags:
        - Records
      summary: Update an existing record
      description: Updates specific attributes of an existing record
      operationId: updateRecord
      parameters:
        - description: Record ID
          name: record_id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/developer.UpdateRecordRequest'
        description: Attributes to update
        required: true
      responses:
        '200':
          description: Updated record with all attributes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/developer.UpdateRecordResponse'
        '400':
          description: Bad request - Invalid data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '404':
          description: Record not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    developer.UpdateRecordRequest:
      type: object
      properties:
        attributes:
          description: Attributes to update
          type: object
          additionalProperties: {}
      example:
        attributes:
          job_title: Senior Engineer
          location:
            city: Boston
            region: MA
            country: US
          phone_number:
            country_code: 1
            number: '5551234567'
    developer.UpdateRecordResponse:
      type: object
      properties:
        attributes:
          type: object
          additionalProperties: {}
        created_at:
          type: string
        id:
          type: string
        object_id:
          type: string
        type:
          type: string
        updated_at:
          type: string
        workspace_id:
          type: string
      example:
        id: '32414268188027655'
        object_id: '32414268188027650'
        type: person
        workspace_id: '32414268188027645'
        created_at: '2024-01-15T14:20:00Z'
        updated_at: '2024-01-21T11:45:00Z'
        attributes:
          name:
            first_name: John
            last_name: Doe
          email_addresses:
            - john@example.com
          job_title: Senior Engineer
          phone_number:
            country_code: 1
            number: '5551234567'
          location:
            city: Boston
            region: MA
            country: US
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````